// Charts

.horizontalBarChart {
  width: 100%;
  table-layout: fixed;
}

body .horizontalBarChart td {
  padding: 0;
}

.horizontalBarChart {
  .column1 {
    color: #000000;
    font-size: 12px;
  }
  .column2 {
    background: #7b7b7d;
    width: 2px;
  }
  .column3 {
    width: 100%;
    .bar {
      background: #827ba7;
			@include rounded(0, 6px, 6px, 0);
      display: block;
      height: 31px;
      float: left;
      margin-top: 12px;
      margin-bottom: 12px;
    }
    .percent {
      color: #000000;
      padding-top: 7px;
      padding-left: 12px;
      display: block;
      font-size: 12px;
      margin-top: 12px;
      margin-bottom: 12px;
    }
  }
}

.chartSalaryTrend {
  color: #000000;
  margin-bottom: 10px;
}

body .chartSalaryTrend td {
  padding-bottom: 0 !important;
}

.chartSalaryTrend .chartLabels td {
  font-size: 14px;
  width:87px;
  text-align:center;
}

body .chartBars td {
  font-size: 0px;
  padding: 0;
}

.chartBars span {
  width: 82px;
  height: 4px;
  background: #594d8b;
  display: inline-block;
}

.chartArrow td {
  font-size: 0px;
}

.chartSalaryTrend {
  .arrowWrap {
    display: inline-block;
    position: relative;
    right: 11px;
  }
  .arrow {
    display: block;
    width: 362px;
    height: 17px;
    background: url(Images/icon_arrow_hiringdemand.png) no-repeat;
    &.lowLow {
      background-position: 15px;
    }
    &.lowHigh {
      background-position: 62px;
    }
    &.medLow {
      background-position: 102px;
    }
    &.medHigh {
      background-position: 148px;
    }
    &.highLow {
      background-position: 191px;
    }
    &.highHigh {
      background-position: 232px;
    }
    &.vhighLow {
      background-position: 277px;
    }
    &.vhighHigh {
      background-position: 320px;
    }
  }
}

.chartInfo img {
  vertical-align: middle;
  margin-left: 4px;
}

@media (max-width:550px)    {
    .chartSalaryTrend {
        table   {
            width:273px;
        }
      .chartLabels {
          td {
                width:25%;
          }
          div   {
            min-height:16px;
          }
      }
      .arrowWrap {
        width:100%;
      }
      .arrow {
        width: 100%;
        height: 17px;
        background: url(Images/icon_arrow_hiringdemand.png) no-repeat;
        background-size: 15px 15px;
        &.lowLow {
          background-position: 5%;
        }
        &.lowHigh {
          background-position: 20%;
        }
        &.medLow {
          background-position: 30%;
        }
        &.medHigh {
          background-position: 45%;
        }
        &.highLow {
          background-position: 60%;
        }
        &.highHigh {
          background-position: 75%;
        }
        &.vhighLow {
          background-position: 90%;
        }
        &.vhighHigh {
          background-position: 100%;
        }
      }
    }
    .chartBars span {
      width: 90%;
      margin: 0 5%;
    }
}

@media (max-width:320px)    {
    .chartSalaryTrend {
            table   {
                width:200px;
            }
    }
}